ServerEvents.recipes(event => {
    event.remove({id: 'dankstorage:1'})
    event.remove({id: 'dankstorage:2'})
    event.remove({id: 'dankstorage:3'})
    event.remove({id: 'dankstorage:4'})
    event.remove({id: 'dankstorage:5'})
    event.remove({id: 'dankstorage:6'})
    event.remove({id: 'dankstorage:7'})
})

ServerEvents.recipes(event => {
    //Dank 1
    event.shaped('dankstorage:dank_1',
    ['111','121','111'], {
        1: '#forge:ingots/brass',
        2: 'minecraft:barrel'
    }).id('dankstorage:dank_1')
    
    //Dank 2
    event.custom({
        "type": "dankstorage:upgrade",
        "pattern": [
          "iii",
          "i1i",
          "iii"
        ],
        "key": {
          "i": {
            "item": "minecraft:end_stone_bricks"
          },
          "1": {
            "item": "dankstorage:dank_1"
          }
        },
        "result": {
          "item": "dankstorage:dank_2"
        }
    }).id('dankstorage:dank_2')

    //Dank 3
    event.custom(
        {
        "type": "dankstorage:upgrade",
        "pattern": [
            "iii",
            "i1i",
            "iii"
        ],
        "key": {
            "i": {
            "tag": "forge:ingots/enderium"
            },
            "1": {
            "item": "dankstorage:dank_2"
            }
        },
        "result": {
            "item": "dankstorage:dank_3"
        }
    }).id('dankstorage:dank_3')

    //Dank 4
    event.custom({
        "type": "dankstorage:upgrade",
        "pattern": [
          "iii",
          "i1i",
          "iii"
        ],
        "key": {
          "i": {
            "tag": "forge:ingots/source_steel"
          },
          "1": {
            "item": "dankstorage:dank_3"
          }
        },
        "result": {
          "item": "dankstorage:dank_4"
        }
    }).id('dankstorage:dank_4')

    //Dank 5
    event.custom({
        "type": "dankstorage:upgrade",
        "pattern": [
          "iii",
          "i1i",
          "iii"
        ],
        "key": {
          "i": {
            "tag": "forge:plastic"
          },
          "1": {
            "item": "dankstorage:dank_4"
          }
        },
        "result": {
          "item": "dankstorage:dank_5"
        }
    }).id('dankstorage:dank_5')

    //Dank 6
    event.custom({
        "type": "dankstorage:upgrade",
        "pattern": [
          "iii",
          "i1i",
          "iii"
        ],
        "key": {
          "i": {
            "tag": "forge:ingots/cyanite"
          },
          "1": {
            "item": "dankstorage:dank_5"
          }
        },
        "result": {
          "item": "dankstorage:dank_6"
        }
    }).id('dankstorage:dank_6')

    //Dank 7
    event.custom({
        "type": "dankstorage:upgrade",
        "pattern": [
          "iii",
          "i1i",
          "iii"
        ],
        "key": {
          "i": {
            "tag": "forge:ingots/manasteel"
          },
          "1": {
            "item": "dankstorage:dank_6"
          }
        },
        "result": {
          "item": "dankstorage:dank_7"
        }
    }).id('dankstorage:dank_7')
})
